#include "udpwhois.h"

void main(int argc, char *argv[])
{
 int sock, n_bytes;
 char* server_name =  argv[1];
 int port = atoi(argv[2]);
 cout<<"connecting to "<<server_name<<" of port "<<port<<endl;
 struct hostent *host_entry;
 struct sockaddr_in client, server;
 char msg[MAXSIZE]="welcome";
 if((sock = socket(AF_INET,SOCK_DGRAM,0))==-1)
   fprintf(stderr,"socket() error\n");
 if((host_entry=gethostbyname(server_name)) == NULL)
   fprintf(stderr,"gethostbyname() error\n");
 server.sin_family=AF_INET;
 server.sin_port = htons((unsigned short)port);
 server.sin_addr.s_addr=*((unsigned long *)host_entry->h_addr);

 unsigned int none = 0;
 client.sin_family=AF_INET;
 client.sin_port = htons((unsigned  short)none);
 client.sin_addr.s_addr = htonl(INADDR_ANY);

 if(bind(sock,(struct sockaddr *)&client,sizeof(client))==-1)
   fprintf(stderr,"bind() error\n");
 if(n_bytes=sendto(sock,&msg,sizeof(msg),0,
                  (struct sockaddr *)&server,sizeof(server))==-1)
   fprintf(stderr,"send() error\n");
 if((n_bytes=recvfrom(sock,&msg,sizeof(msg),0,
                     (struct sockaddr *)0,&none))==-1)
   fprintf(stderr,"recv() error\n");
 cout<<"receive: "<<msg<<endl; 
}
