#include <iostream.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <fstream.h>

#define MAX 5
#define LENGTH 128
#define MAXSIZE 65000

typedef struct
{
  int age; // the age of the CACHE 
  char host[LENGTH]; // the origin host of teh CACHE
  char httpFile[MAXSIZE]; // the html file 
  char objects[20];  // replace this with array of binary
} CACHE;

class WebCache
{
 private:
  int fileCache;
  CACHE myCache[MAX];

 public:
  WebCache();
  ~WebCache();
  void clean();
  int examine();
  CACHE retrieveCache(int index);
  int replaceCache(int index,int option, CACHE mCache);
  int storeCache(CACHE mCache);
  int searchCache(char* host);
  void reportError(int error);
};
