#include <unistd.h>
#include <sys/time.h>
#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>

#define READ 0
#define WRITE 1

void main()
{
  int masterfd[2];
  int slavefd[4][2];

  if(pipe(master)<0)
  {
   cerr<<"error in pipe"<<endl;
   exit(0);
  }
  close(masterfd[WRITE]);

  int identification,pid;
  for(identification=0; identification<4; identification++)
  {
   if(pipe(slave[identification]) < 0)
   {
    cerr<<"error in pipe"<<endl;
    exit(0); 
   }
   pid = fork();
   if(pid < 0)
   {
    cerr<<"error in fork"<<endl;
    exit(0);
   }
   close(slave[identification][READ]);
   if(pid == 0)
     break;
  }
  if(identification == 4)
    cout<<"Parent finished"<<endl;

  if(pid > 0)
  {

  }
  else if(pid == 0)
  {
   cout<<"child: "<<identification<<endl;
   close(masterfd[READ]);
   close(slave[identification][READ]);
   exit(0);
  } 
  else
  {
   cout<<"You should not be here"<<endl;
   exit(0);
  } 
}
