#include "proxy_server.h" 


void main()
{
  int masterfd[2];
  int slave[4][2];

  close(masterfd[WRITE]);

  int identification,pid;
  for(identification=0; identification<4; identification++)
  {
   if(pipe(slave[identification]) < 0)
   {
    cerr<<"error in pipe"<<endl;
    exit(0); 
   }
   pid = fork();
   if(pid < 0)
   {
    cerr<<"error in fork"<<endl;
    exit(0);
   }
   close(slave[identification][READ]);
   if(pid == 0)
     break;
  }
  if(identification == 4)
    cout<<"Parent finished"<<endl;

  if(pid > 0)
  {
//************************PARENT********************   
   close(masterfd[WRITE]);
   MESSAGE pmsg;
//**************************************************
  }
  else if(pid == 0)
  {
//*************************CHILD********************
   cout<<"child: "<<identification<<endl;
   close(masterfd[READ]);
   close(slave[identification][READ]);

   for(int j=0; j<4; j++)
   {
    if(identification != j)
    {
     close(slave[j][READ]);
     close(slave[j][WRITE]);
    }
   }
   MESSAGE cmsg;
   cmsg.rec = 1;
   write(masterfd,&cmsg,sizeof(cmsg)); 
   close(slave[identification][READ]);
   close(slave[identification][WRITE]);
   exit(0);
//*************************************************
  } 
  else
  {
   cout<<"You should not be here"<<endl;
   exit(0);
  } 
}

char* formHTTPGet(char* host)
{


}

char* formHTTPPost(char* host, char* content)
{

}

char* formHTTPHead(char* host)
{


}
